org.apache.ivy.core.pack

## Class ArchivePacking

- java.lang.Object
- - org.apache.ivy.core.pack.ArchivePacking

Direct Known Subclasses:
  StreamPacking, ZipPacking

    public abstract class ArchivePacking
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ArchivePacking()`

### Method Summary

Methods
`abstract java.lang.String[]` `getNames()`
`abstract java.lang.String` `getUnpackedExtension(java.lang.String ext)`
`abstract void` `unpack(java.io.InputStream packed, java.io.File dest)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArchivePacking

    public ArchivePacking()

### Method Detail

#### getNames

    public abstract java.lang.String[] getNames()

#### unpack

    public abstract void unpack(java.io.InputStream packed,
              java.io.File dest)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

#### getUnpackedExtension

    public abstract java.lang.String getUnpackedExtension(java.lang.String ext)